=== debian/changelog ===
hardening-wrapper (1.11) unstable; urgency=low

  * hardened-ld: disable PIE logic -- gcc should be the only part of the
    toolchain requesting PIE.
  * tests/Makefile: use -B instead of GCC_EXEC_PREFIX, which does not
    do the right thing on all architectures.

 -- Kees Cook <kees@outflux.net>  Mon, 14 Apr 2008 16:06:00 -0700

hardening-wrapper (1.10) unstable; urgency=low

  * hardened-cc, hardened-ld: re-arranged logic for "-pie".  Old logic
    was resulting in failed compiles under cmake.
  * tests/Makefile: moved debian/rules tests into separate directory,
    added -fPIC test cases, based on issues uncovered by cmake.
  * debian/rules: disabled stack protector on mips, hppa -- not supported.

 -- Kees Cook <kees@outflux.net>  Mon, 14 Apr 2008 11:15:35 -0700

hardening-wrapper (1.9) unstable; urgency=low

  * debian/rules:
    - disable stack protector on arm, armel.
    - disable PIE on arm, armel (thanks to Riku Voipio, Closes: 475764).
    - show readelf output on test builds.
    - fully link by tricking gcc into running the ld test wrapper.
  * hello.c: re-arranged to exercise stack protector, report PIE.
  * hardened-ld: add env var way to force use of /usr/bin/ld during tests.

 -- Kees Cook <kees@outflux.net>  Sun, 13 Apr 2008 18:01:38 -0700

hardening-wrapper (1.8) unstable; urgency=low

  * debian/rules: disable stack protector on ia64 and alpha.

 -- Kees Cook <kees@outflux.net>  Sun, 23 Mar 2008 22:03:58 -0700

hardening-wrapper (1.7) unstable; urgency=low

  * debian/rules: corrected binary-arch target (Closes: 472324).

 -- Kees Cook <kees@outflux.net>  Sun, 23 Mar 2008 08:13:47 -0700

hardening-wrapper (1.6) unstable; urgency=low

  * debian/rules: build hardened-c++ from hardened-cc.
  * debian/{rules,control}, hardened-cc: disable PIE by default on m68k,
    hppa (Closes: #465827).
  * hello.c: added test program to catch architecture-specific failures.

 -- Kees Cook <kees@outflux.net>  Fri, 21 Mar 2008 11:20:53 -0700

hardening-wrapper (1.5) unstable; urgency=low

  * Fix typo in hardened-c++ self-check regex (Closes: #462682).

 -- Kees Cook <kees@outflux.net>  Sun, 27 Jan 2008 12:14:59 -0800

hardening-wrapper (1.4) unstable; urgency=low

  * hardened-ld: fix relro argument passing (ld silently takes any -z arg).

 -- Kees Cook <kees@outflux.net>  Wed, 23 Jan 2008 09:59:06 -0800

hardening-wrapper (1.3) unstable; urgency=low

  * hardened-{cc,c++}: fix -Wformat-security typo.
  * debian/postinst: only clean up old diversions on a versioned upgrade.
  * debian/postrm: do not require known arguments.

 -- Kees Cook <kees@outflux.net>  Wed, 23 Jan 2008 02:56:57 -0800

hardening-wrapper (1.2) unstable; urgency=low

  * Move away from generic "builder" prefix to "hardened".
  * Provide links for gcc 4.1, 4.2, and 4.3 instead of top-level links.
  * Provide manpage link for package name.
  * Clean up previous diversions.
  * Move to "all" arch since arch-dep symlinks are no longer used.

 -- Kees Cook <kees@outflux.net>  Tue, 22 Jan 2008 16:48:49 -0800

hardening-wrapper (1.1) unstable; urgency=low

  * Initial release.

 -- Kees Cook <kees@outflux.net>  Tue, 08 Jan 2008 16:00:58 -0800
