## hardening-wrapper 1.12

=== debian/changelog ===
hardening-wrapper (1.12) unstable; urgency=low

  * hardened-cc: add -nostdlib test missing from older gcc (gcc-4.0, gcc-4.1).
  * hardened-{cc,ld}: load system defaults from /etc/hardening-wrapper.conf
  * hardened-{cc,ld}.1: updated man pages to mention system-wide config.
  * hardened-{cc,ld}: handle relative symlinks correctly to address issues
    pointed out by Sedat Dilek.

 -- Kees Cook <kees@outflux.net>  Mon, 28 Apr 2008 15:51:57 -0700
