=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: extra
 Build-Depends: debhelper (>= 5.0.0)
 Maintainer: Package Hardening <hardening-discuss@lists.alioth.debian.org>
-Uploaders: Kees Cook <kees@outflux.net>, Moritz Muehlenhoff <jmm@debian.org>
+Uploaders: tamanegimoyashi <tanimotoi@gmail.com> 
 Standards-Version: 3.7.3.0
 Homepage: http://wiki.debian.org/Hardening
 Vcs-Svn: svn://svn.debian.org/hardening/hardening-wrapper
 Vcs-Browser: http://svn.debian.org/wsvn/hardening/hardening-wrapper/
 
 Package: hardening-wrapper
-Architecture: any
+Architecture: armel
 Depends: gcc | g++, ${perl:Depends}
 Description: experimental compiler wrapper to enable security hardening flags
  Replaces gcc, g++, and ld with wrapper scripts that set security hardening
