## hardening-wrapper 1.13

=== debian/changelog ===
hardening-wrapper (1.13) unstable; urgency=low

  * hardened-cc: add ...DEBUG_SYMLINKS to visualize symlink resolution.
  * hardened-cc: detect uninstalled targets and abort (Closes: #506066).
  * debian/{rules,postinst,postrm}: add links for gcc-4.4.
  * debian/control: moved to standards version 3.8.0, no changes needed.

 -- Kees Cook <kees@outflux.net>  Thu, 20 Nov 2008 23:25:52 -0800
