=== debian/rules ===
--- 
+++ 
@@ -75,7 +75,7 @@
 	install -m644 debian/lintian.overrides debian/hardening-wrapper/usr/share/lintian/overrides/hardening-wrapper
 	install build-tree/hardened-cc build-tree/hardened-c++ build-tree/hardened-ld debian/hardening-wrapper/usr/bin
 	# Build links
-	for ver in 4.1 4.2 4.3; do dh_link \
+	for ver in 4.1 4.2 4.3 4.4; do dh_link \
 		usr/bin/hardened-cc usr/bin/gcc-$$ver \
 		usr/bin/hardened-c++ usr/bin/g++-$$ver \
 		;\
