## hardening-wrapper 1.15

=== tests/Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
 
 BUILD_TREE=../build-tree
 
@@ -48,13 +50,13 @@
 $(BUILD_TREE)/test-stock: $(HELLO) $(WRAPPERS)
 	# Compiler and linker options disabled.
 	DEB_BUILD_HARDENING=0 $(CC) -o $@ $<
-	readelf -l $@
+	readelf -ld $@
 	$@
 
 $(BUILD_TREE)/test-compiled: $(HELLO) $(WRAPPERS)
 	# Compiler options enabled. (linker is system-default)
 	$(CC) -o $@ $<
-	readelf -l $@
+	readelf -ld $@
 	# Run twice to show off PIE, if available in kernel
 	$@
 	$@
@@ -66,10 +68,16 @@
 $(BUILD_TREE)/test-linked: $(TEST_REQS)
 	# Compiler and linker options enabled.
 	$(CC) -o $@ $<
-	readelf -l $@
+	readelf -ld $@
 	# Run twice to show off PIE, if available in kernel
 	$@
 	$@
+ifeq (,$(findstring :$(DEB_HOST_ARCH_CPU):,:ia64:))
+	# Test for RELRO
+	readelf -l $@ | grep GNU_RELRO
+endif
+	# Test for BIND_NOW
+	readelf -d $@ | grep BIND_NOW
 
 
 ##########
