=== debian/changelog ===
hardening-wrapper (1.15) unstable; urgency=low

  * tests/Makefile: exclude tests based on architecture (ia64 w/o relro).
  * debian/rules: disable PIE on mips/mipsel until bug 532821 is solved
    (Closes: #548250).

 -- Kees Cook <kees@debian.org>  Thu, 24 Sep 2009 15:34:51 -0700

hardening-wrapper (1.14) unstable; urgency=low

  * hardened-ld: add ...BINDNOW for -Wl,-z,now ELF markings.
  * debian/control: moved to standards version 3.8.2, no changes needed.
  * tests/Makefile: add tests for RELRO and BIND_NOW.
  * hardening-{cc,ld}.1: document BINDNOW and RELRO, add on to See Also.

 -- Kees Cook <kees@debian.org>  Wed, 22 Jul 2009 19:52:00 -0700
