=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Build-Depends: debhelper (>= 5.0.0)
 Maintainer: Package Hardening <hardening-discuss@lists.alioth.debian.org>
-Uploaders: Kees Cook <kees@outflux.net>, Moritz Muehlenhoff <jmm@debian.org>
-Standards-Version: 3.8.0
+Uploaders: Kees Cook <kees@debian.org>, Moritz Muehlenhoff <jmm@debian.org>
+Standards-Version: 3.8.2
 Homepage: http://wiki.debian.org/Hardening
 Vcs-Svn: svn://svn.debian.org/hardening/hardening-wrapper
 Vcs-Browser: http://svn.debian.org/wsvn/hardening/hardening-wrapper/
