=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,9 @@
 DEFAULT_PIE=0
 ifneq (,$(findstring :$(DEB_HOST_ARCH_OS):,:linux:knetbsd:))
   # PIE enabled only on linux/knetbsd
-  ifeq (,$(findstring :$(DEB_HOST_ARCH_CPU):,:hppa:m68k:arm:))
+  ifeq (,$(findstring :$(DEB_HOST_ARCH_CPU):,:hppa:m68k:arm:mips:mipsel:))
     # disabled on hppa, m68k (where it doesn't work).
+    # disabled on mips/mipsel due to bug 532821 in toolchain
     # disabled for arm since there is no randomization support in ARM kernels
     DEFAULT_PIE=1
   endif
@@ -111,7 +112,7 @@
 binary-indep: binary-arch
 	# Nothing to do here
 
-source diff:                                                                  
+source diff:
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
 binary: binary-indep binary-arch
