## hardening-wrapper 1.25

=== debian/changelog ===
hardening-wrapper (1.25) unstable; urgency=low

  * debian/control:
    - bump standards version: no changes needed.
    - should not be considered "experimental".
  * hardening-check: use readelf's "-s" instead of "-r" to avoid issues
    with archs that lack sane relocations.
  * tests/Makefile.common:
    - adjust tests to include -s output.
    - weaken nm symbol matching.

 -- Kees Cook <kees@debian.org>  Mon, 01 Mar 2010 14:54:34 -0800

hardening-wrapper (1.24) unstable; urgency=low

  * hardening-check: handle alternate names for relocation jump slots
    (Closes: 568622)
  * tests/Makefile.common: show relocations as well for future debugging.

 -- Kees Cook <kees@debian.org>  Tue, 09 Feb 2010 15:44:19 -0800

hardening-wrapper (1.23) unstable; urgency=low

  * hardening.make: correctly document how to disable PIE on a per-target
    basis (Closes: 567707).
  * tests/Makefile.{common,includes}: add HARDENING_DISABLE_* flags tests.

 -- Kees Cook <kees@debian.org>  Sat, 30 Jan 2010 13:32:14 -0800

hardening-wrapper (1.22) unstable; urgency=low

  * debian/hardening-wrapper.postrm: fix typo in diversion name
    (Closes: 564840).

 -- Kees Cook <kees@debian.org>  Tue, 12 Jan 2010 06:18:04 -0800

hardening-wrapper (1.21) unstable; urgency=low

  * debian/control: add ${misc:Depends} to control file entries to
    keep lintian happy.
  * hardening-check: add -q option to only report failures.
  * really handle gcc 4.5 diversion (Closes: 564596).
  * handle ld diversion when binutils-gold installed (Closes: 535037).

 -- Kees Cook <kees@debian.org>  Sun, 10 Jan 2010 12:35:38 -0800

hardening-wrapper (1.20) unstable; urgency=low

  * hardening.make:
    - switch to "filter" for easier to read logic.
    - allow PIE for arm/armel, since it's only the kernel that lacks ASLR.
  * tests/Makefile: perform test builds with -fstack-protector and -fPIE -pie
    on all architectures just to have a record of the success/failure
    in the build logs, even if we are manually selecting the defaults.

 -- Kees Cook <kees@debian.org>  Fri, 25 Dec 2009 16:34:24 -0800

hardening-wrapper (1.19) unstable; urgency=low

  * debian/rules: fix up arch/arch-indep rules to avoid rebuilding
    arch-indep bits repeatedly.
  * hardening-check, debian/{rules,hardening-includes.manpages},
    tests/Makefile.common: add helper utility to allow users of
    hardening-includes to evaluate the state of a given binary's
    resulting hardening features.
  * debian/rules: add gcc-4.5 to the diversion list.

 -- Kees Cook <kees@debian.org>  Thu, 24 Dec 2009 00:02:02 -0800

hardening-wrapper (1.18) unstable; urgency=low

  * debian/{control,rules}: add "hardening-includes" for use in other
    Debian rules files.
  * debian/rules, hardening.make: relocate/enhance architecture logic
    to common makefile include file.
  * tests/*: update to test both wrapper and include style.

 -- Kees Cook <kees@debian.org>  Sat, 19 Dec 2009 18:00:22 -0800

hardening-wrapper (1.17) unstable; urgency=low

  * Add Conflicts on binutils-gold, which also uses diversions against
    gcc and friends (Closes: 535037, LP: #442636).

 -- Kees Cook <kees@debian.org>  Wed, 25 Nov 2009 11:40:43 -0800

hardening-wrapper (1.16) unstable; urgency=low

  * tests/Makefile: exclude relro test on hppa.

 -- Kees Cook <kees@debian.org>  Thu, 29 Oct 2009 21:21:55 -0700
