## hardening-wrapper 1.25maemo1

=== debian/changelog ===
hardening-wrapper (1.25maemo1) fremantle; urgency=low

  * Initial release for fremantle.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Mon, 28 Jun 2010 14:46:35 +0300
