=== debian/control ===
Source: hardening-wrapper
Section: devel
Priority: extra
Build-Depends: debhelper (>= 5.0.0)
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Uploaders: Kees Cook <kees@debian.org>, Moritz Muehlenhoff <jmm@debian.org>, Package Hardening <hardening-discuss@lists.alioth.debian.org>
Standards-Version: 3.8.4
Homepage: http://wiki.debian.org/Hardening
Vcs-Svn: svn://svn.debian.org/hardening/hardening-wrapper
Vcs-Browser: http://svn.debian.org/wsvn/hardening/hardening-wrapper/

Package: hardening-wrapper
Architecture: any
Depends: gcc | g++, ${perl:Depends}, ${misc:Depends}
Description: Compiler wrapper to enable security hardening flags
 Replaces gcc, g++, and ld with wrapper scripts that set security hardening
 compilation flags, as an alternative to changing gcc specs.  Enabled when
 DEB_BUILD_HARDENING=1 is set.

Package: hardening-includes
Architecture: all
Depends: ${misc:Depends}
Description: Makefile for enabling compiler flags for security hardening
 Makefile to be included in Debian rules files.  CFLAGS and LDFLAGS
 can be extended to include the respective HARDENING_* variables which
 contain architecture-validated security hardening compiler options.
