## hardening-wrapper 1.28

=== debian/changelog ===
hardening-wrapper (1.28) unstable; urgency=low

  * hardening.make: enable PIE on hurd (Closes: 586215), thanks to
    Samuel Thibault.

 -- Kees Cook <kees@debian.org>  Sun, 20 Jun 2010 12:36:32 -0700

hardening-wrapper (1.27) unstable; urgency=low

  * hardening.make:
    - disable RELRO on avr32.
    - clarify use of CXXFLAGS.
  * hardening-check: fix regex to correctly call sed (Closes: 578488).

 -- Kees Cook <kees@debian.org>  Fri, 23 Apr 2010 16:16:25 -0700

hardening-wrapper (1.26) unstable; urgency=low

  * hardening.make: disable PIE on avr32 (Closes: 574716).

 -- Kees Cook <kees@debian.org>  Sun, 21 Mar 2010 09:45:52 -0700
