## hardening-wrapper 1.29~bpo50+1

=== debian/changelog ===
hardening-wrapper (1.29~bpo50+1) lenny-backports; urgency=low

  * Non-maintaner upload for backports.org
  * Backport for Lenny Archive. 

 -- Ulises Vitulli <dererk@debian.org>  Mon, 12 Jul 2010 11:38:11 -0300

hardening-wrapper (1.29) unstable; urgency=low

  * debian/control: add Conflicts for binutils-multiarch (Closes: 579409,
    LP: #596136).
  * debian/hardening-wrapper.postrm: remove attempted diversions on
    installation failure.

 -- Kees Cook <kees@debian.org>  Fri, 09 Jul 2010 09:33:15 -0700
