## hardening-wrapper 1.29

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: extra
 Build-Depends: debhelper (>= 5.0.0)
-Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
-Uploaders: Kees Cook <kees@debian.org>, Moritz Muehlenhoff <jmm@debian.org>, Package Hardening <hardening-discuss@lists.alioth.debian.org>
+Maintainer: Package Hardening <hardening-discuss@lists.alioth.debian.org>
+Uploaders: Kees Cook <kees@debian.org>, Moritz Muehlenhoff <jmm@debian.org>
 Standards-Version: 3.8.4
 Homepage: http://wiki.debian.org/Hardening
 Vcs-Svn: svn://svn.debian.org/hardening/hardening-wrapper
@@ -12,6 +12,7 @@
 Package: hardening-wrapper
 Architecture: any
 Depends: gcc | g++, ${perl:Depends}, ${misc:Depends}
+Conflicts: binutils-multiarch (>= 2.20.51.20100418-1)
 Description: Compiler wrapper to enable security hardening flags
  Replaces gcc, g++, and ld with wrapper scripts that set security hardening
  compilation flags, as an alternative to changing gcc specs.  Enabled when
