=== debian/changelog ===
hardening-wrapper (1.30) unstable; urgency=low

  * debian/README.Debian: update for gcc versions, include minimal
    notes on hardening-includes (Closes: 592847, 592846).
  * debian/rules, debian/hardening-wrapper.{prerm,postinst}: add gcc-4.6
    to the diversion list.
  * debian/control: remove binutils-multiarch conflict now that ld.bfd
    is no longer diverted.

 -- Kees Cook <kees@debian.org>  Tue, 11 Jan 2011 07:54:28 -0800
