=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
 Package: hardening-wrapper
 Architecture: any
 Depends: gcc | g++, ${perl:Depends}, ${misc:Depends}
-Conflicts: binutils-multiarch (>= 2.20.51.20100418-1)
 Description: Compiler wrapper to enable security hardening flags
  Replaces gcc, g++, and ld with wrapper scripts that set security hardening
  compilation flags, as an alternative to changing gcc specs.  Enabled when
