## hardening-wrapper 1.33

=== debian/changelog ===
hardening-wrapper (1.33) unstable; urgency=low

  * debian/control:
    - bump to standards 3.9.2; no changes needed
    - hardening-wrapper: mark as Multi-Arch: foreign for build sanity.
  * debian/source/format: mark as 3.0 native.

 -- Kees Cook <kees@debian.org>  Sun, 03 Jul 2011 11:28:00 -0700

hardening-wrapper (1.32) unstable; urgency=low

  * debian/rules, debian/hardening-wrapper.{prerm,preinst,postinst}:
    remove gcc-4.1 diversions since it has been removed from unstable.
  * hardened-cc, hardening.make: add "-Werror=format-security" by default
    (Closes: #587358).
  * tests/Makefile.common, tests/format.c: add test for newly added
    "-Werror=format-security" default option.
  * hardened-cc, hardening.make: add "--param ssp-buffer-size=4" by
    default to catch smaller character arrays.
  * tests/Makefile.common, tests/ssp-buffer-size-{protect,skip}.c:
    add tests for newly added "--param ssp-buffer-size=4" default.
  * debian/README.Debian: updated to include newly added options.
  * hardened-cc: disable -fstack-protector when -ffreestanding used.
  * hardening.make: provide examples for working around build-time
    collisions between "-fPIE" and "-fPIC" (Closes: #596150).

 -- Kees Cook <kees@debian.org>  Fri, 18 Feb 2011 10:57:52 -0800

hardening-wrapper (1.31) unstable; urgency=low

  * tests/Makefile.common: do not require @@GLIBC suffix for nm tests.
  * tests/Makefile.wrapper: include symlink for ld.gold testing.
  * hardening-check: improve hardening-check to parse BIND_NOW also from
    the FLAGS dynamic section.

 -- Kees Cook <kees@debian.org>  Fri, 14 Jan 2011 10:19:01 -0800
