=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: hardening-wrapper
 Section: devel
 Priority: extra
-Build-Depends: debhelper (>= 5.0.0)
+Build-Depends: debhelper (>= 7)
 Maintainer: Package Hardening <hardening-discuss@lists.alioth.debian.org>
 Uploaders: Kees Cook <kees@debian.org>, Moritz Muehlenhoff <jmm@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://wiki.debian.org/Hardening
 Vcs-Svn: svn://svn.debian.org/hardening/hardening-wrapper
 Vcs-Browser: http://svn.debian.org/wsvn/hardening/hardening-wrapper/
 
 Package: hardening-wrapper
 Architecture: any
+Multi-Arch: foreign
 Depends: gcc | g++, ${perl:Depends}, ${misc:Depends}
 Description: Compiler wrapper to enable security hardening flags
  Replaces gcc, g++, and ld with wrapper scripts that set security hardening
