=== debian/rules ===
--- 
+++ 
@@ -61,7 +61,7 @@
 	install -m644 debian/lintian.overrides debian/hardening-wrapper/usr/share/lintian/overrides/hardening-wrapper
 	install build-tree/hardened-cc build-tree/hardened-c++ build-tree/hardened-ld debian/hardening-wrapper/usr/bin
 	# programatically build links (change debian/h-w.{preinst,postrm} too)
-	for ver in 4.1 4.2 4.3 4.4 4.5 4.6; do dh_link -phardening-wrapper \
+	for ver in 4.2 4.3 4.4 4.5 4.6; do dh_link -phardening-wrapper \
 		usr/bin/hardened-cc usr/bin/gcc-$$ver \
 		usr/bin/hardened-c++ usr/bin/g++-$$ver \
 		;\
