## hardening-wrapper 1.35

=== debian/changelog ===
hardening-wrapper (1.35) unstable; urgency=low

  * debian/control: switch to "optional" priority so lintian can depend
    on hardening-includes.
  * hardening-check: rewrite in Perl, add "--lintian" mode, to support
    fixing bug 650536.

 -- Kees Cook <kees@debian.org>  Thu, 01 Dec 2011 10:15:35 -0800

hardening-wrapper (1.34) unstable; urgency=low

  * debian/control: update VCS tags for bzr.
  * hardening{-check,.make}: correct documentation from -O2 to -O1.
  * hardened-{cc,ld}, hardening.make, debian/rules: use DEB_HOST_ARCH instead
    of of DEB_HOST_ARCH_CPU for behavioral defaults (Closes: 635642).

 -- Kees Cook <kees@debian.org>  Thu, 28 Jul 2011 12:55:17 -0700
