=== debian/control ===
Source: hardening-wrapper
Section: devel
Priority: optional
Build-Depends: debhelper (>= 7), perl-base (>= 5.10)
Maintainer: Package Hardening <hardening-discuss@lists.alioth.debian.org>
Uploaders: Kees Cook <kees@debian.org>, Moritz Muehlenhoff <jmm@debian.org>
Standards-Version: 3.9.2
Homepage: http://wiki.debian.org/Hardening
Vcs-Bzr: http://anonscm.debian.org/bzr/hardening/master
Vcs-Browser: http://anonscm.debian.org/viewvc/hardening/hardening-wrapper/

Package: hardening-wrapper
Architecture: any
Multi-Arch: foreign
Depends: gcc | g++, ${perl:Depends}, ${misc:Depends}
Description: Compiler wrapper to enable security hardening flags
 Replaces gcc, g++, and ld with wrapper scripts that set security hardening
 compilation flags, as an alternative to changing gcc specs. Enabled when
 DEB_BUILD_HARDENING=1 is set.

Package: hardening-includes
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Description: Makefile for enabling compiler flags for security hardening
 Makefile to be included in Debian rules files. CFLAGS and LDFLAGS
 can be extended to include the respective HARDENING_* variables which
 contain architecture-validated security hardening compiler options.
 .
 Also includes the "hardening-check" script to help evaluate the hardening
 status of already compiled binaries.
