## hardening-wrapper 1.36

=== debian/changelog ===
hardening-wrapper (1.36) unstable; urgency=low

  * hardening-check: fix function-finder to accept IFUNC too, improve
    reporting slightly, improve manpage to explain false alarms.

 -- Kees Cook <kees@debian.org>  Fri, 27 Jan 2012 12:07:45 -0800
