## hardening-wrapper 1.36ubuntu1

=== debian/changelog ===
hardening-wrapper (1.36ubuntu1) precise; urgency=low

  * Make bash-completion Multi-Arch: foreign, so that it can satisfy
    cross-build-dependencies.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 31 Mar 2012 02:11:12 +0100
