=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
 DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
-DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
 
 include hardening.make
 DEFAULT_PIE:=$(DEB_BUILD_HARDENING_PIE)
@@ -19,8 +19,8 @@
 	mkdir -p build-tree
 	install hardened-cc hardened-ld build-tree
 
-	# Set defaults, based on OS and CPU
-	perl -pi -e 's/ #OS#/ '"$(DEB_HOST_ARCH_OS)"'/; s/ #CPU#/ '"$(DEB_HOST_ARCH_CPU)"'/;' build-tree/hardened-cc build-tree/hardened-ld
+	# Set defaults, based on OS and ARCH
+	perl -pi -e 's/ #OS#/ '"$(DEB_HOST_ARCH_OS)"'/; s/ #ARCH#/ '"$(DEB_HOST_ARCH)"'/;' build-tree/hardened-cc build-tree/hardened-ld
 	perl -pi -e "s/default{'DEB_BUILD_HARDENING_PIE'}=1;/default{'DEB_BUILD_HARDENING_PIE'}=$(DEFAULT_PIE);/;" build-tree/hardened-cc build-tree/hardened-ld
 	perl -pi -e "s/default{'DEB_BUILD_HARDENING_STACKPROTECTOR'}=1;/default{'DEB_BUILD_HARDENING_STACKPROTECTOR'}=$(DEFAULT_STACKPROT);/;" build-tree/hardened-cc build-tree/hardened-ld
 
@@ -48,7 +48,7 @@
 
 test: build-stamp test-stamp
 test-stamp:
-	(cd tests; make check)
+	make -C tests check
 	# Done testing
 	touch test-stamp
 
@@ -122,7 +122,7 @@
 	dh_link -i
 	dh_compress -i
 	dh_fixperms -i
-#	dh_perl -i
+	dh_perl -i
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
