## hardening-wrapper 1.36ubuntu1.1

=== debian/changelog ===
hardening-wrapper (1.36ubuntu1.1) precise-security; urgency=medium

  * hardened-cc: don't set -Wformat options if they are already set
    (LP: #1347257)

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 30 Apr 2015 18:49:28 +0100
