=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: devel
 Priority: optional
 Build-Depends: debhelper (>= 7), perl-base (>= 5.10)
-Maintainer: Package Hardening <hardening-discuss@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Package Hardening <hardening-discuss@lists.alioth.debian.org>
 Uploaders: Kees Cook <kees@debian.org>, Moritz Muehlenhoff <jmm@debian.org>
 Standards-Version: 3.9.2
 Homepage: http://wiki.debian.org/Hardening
@@ -20,6 +21,7 @@
 
 Package: hardening-includes
 Architecture: all
+Multi-Arch: foreign
 Depends: ${perl:Depends}, ${misc:Depends}
 Description: Makefile for enabling compiler flags for security hardening
  Makefile to be included in Debian rules files. CFLAGS and LDFLAGS
