## hardening-wrapper 2.2~bpo60+1

=== debian/changelog ===
hardening-wrapper (2.2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 01 Jul 2012 13:39:46 +0200

hardening-wrapper (2.2) unstable; urgency=low

  * debian/control: add missing Dep on binutils, thanks to Stéphane Graber.
  * hardened-cc: use "=" as argument separator for better interoperability
    with dpkg-buildflags.
  * hardening-check: reset tag list for each argument (Closes: 677530).

 -- Kees Cook <kees@debian.org>  Thu, 14 Jun 2012 09:40:03 -0700

hardening-wrapper (2.1) unstable; urgency=low

  * hardening-check:
    - handle _local suffix for non-ELF i386 objects (Closes: 666895).
    - add "-h" for "--help".
    - sort and indent libc function list for easier review.
  * Makefile: retain newlines when generating libc function list.

 -- Kees Cook <kees@debian.org>  Mon, 02 Apr 2012 08:18:52 -0700

hardening-wrapper (2.0) unstable; urgency=low

  * hardening-check: add color, based on a patch from Simon Ruderich.
  * hardening-check: fix lintian tag for non-PIE ELF to "no-pie".
  * debian/rules, debian/hardening-wrapper.{prerm,postinst}: add gcc-4.7
    to the diversion list (Closes: 666520).
  * debian/control:
    - fix Vcs-Browser link for loggerhead (Closes: 664495).
    - add Multiarch tag to hardening-includes (Closes: 666471).
  * Makefile, debian/*: convert to dh(1).
  * hardening-check: generate list of libc functions at build time.
  * hardening-check, tests/Makefile.common: add support for scanning
    object archives for stack-protector and fortify (Closes: 664862).

 -- Kees Cook <kees@debian.org>  Sat, 31 Mar 2012 16:32:03 -0700
