## hardening-wrapper 2.2

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: hardening-wrapper
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 7), perl-base (>= 5.10)
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Package Hardening <hardening-discuss@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 9), perl-base (>= 5.10)
+Maintainer: Package Hardening <hardening-discuss@lists.alioth.debian.org>
 Uploaders: Kees Cook <kees@debian.org>, Moritz Muehlenhoff <jmm@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://wiki.debian.org/Hardening
 Vcs-Bzr: http://anonscm.debian.org/bzr/hardening/master
-Vcs-Browser: http://anonscm.debian.org/viewvc/hardening/hardening-wrapper/
+Vcs-Browser: http://anonscm.debian.org/loggerhead/hardening/master/files/head:/hardening-wrapper/
 
 Package: hardening-wrapper
 Architecture: any
@@ -22,7 +21,7 @@
 Package: hardening-includes
 Architecture: all
 Multi-Arch: foreign
-Depends: ${perl:Depends}, ${misc:Depends}
+Depends: ${perl:Depends}, ${misc:Depends}, make, binutils
 Description: Makefile for enabling compiler flags for security hardening
  Makefile to be included in Debian rules files. CFLAGS and LDFLAGS
  can be extended to include the respective HARDENING_* variables which
