## hardening-wrapper 2.3

=== debian/changelog ===
hardening-wrapper (2.3) unstable; urgency=low

  * debian/hardening-wrapper.{prerm,postinst,links}, debian/README.Debian:
    add gcc-4.8 to the diversion list, and sync list of compiler versions
    (Closes: 681799).
  * hardening-check: fix hash size check syntax (Closes: 682451).

 -- Kees Cook <kees@debian.org>  Sun, 16 Dec 2012 14:56:48 -0800
