## hardening-wrapper 2.3ubuntu1

=== debian/changelog ===
hardening-wrapper (2.3ubuntu1) saucy; urgency=low

  * SSP is not (yet) supported on Aarch64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Jul 2013 22:25:17 +0200
