## hardening-wrapper 2.5ubuntu2

=== debian/changelog ===
hardening-wrapper (2.5ubuntu2) trusty; urgency=medium

  * Allow -fstack-protector on arm64 now that GCC and glibc support it.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 07 Mar 2014 18:51:18 +0800

hardening-wrapper (2.5ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Don't install a symlink for gold on architectures not having a gold port.
    - Stop installing links for GCC 4.2, 4.3, 4.5.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Dec 2013 12:36:36 +0100

hardening-wrapper (2.5) unstable; urgency=low

  * hardened-ld: detect symlink loops, like done for hardened-cc already
    (Closes: 732403).
  * hardening.make: disable stack protector on arm64 (glibc support needed).
  * debian/control: bump standards, no changes needed.

 -- Kees Cook <kees@debian.org>  Tue, 17 Dec 2013 10:01:21 -0700

hardening-wrapper (2.4ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - SSP is not (yet) supported on Aarch64.
  * Don't install a symlink for gold on architectures not having a gold port.
  * Stop installing links for GCC 4.2, 4.3, 4.5.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2013 17:47:27 +0100

hardening-wrapper (2.4) unstable; urgency=low

  * debian/hardening-wrapper.{links,preinst,postrm}: add gcc 4.9 to
    the diversion list.
  * improve "compiler not installed" message (Closes: 709582).
  * Added short option aliasas and stopped using $PAGER for man page
    spewing, thanks to Jari Aalto (Closes: 709105). Left option ordering
    how I prefer: grouped by function and long options first.
  * hardened-{cc,ld,cc.1}: add new DEB_BUILD_HARDENING_DEBUG_OUTPUT for
    redirecting STDERR debug output, if needed (Closes: 679773).
  * debian/control: bump standards, no changes needed.

 -- Kees Cook <kees@debian.org>  Fri, 13 Sep 2013 12:46:03 -0700
