=== tests/Makefile ===
--- 
+++ 
@@ -19,3 +19,5 @@
 	$(CC) -Wall -fPIE -pie hello.c -o $(BUILD_TREE)/cc-test || true
 	$(BUILD_TREE)/cc-test || true
 	$(BUILD_TREE)/cc-test || true
+
+.PHONY: check clean
