=== debian/changelog ===
hardening-wrapper (2.5ubuntu2.1) trusty-proposed; urgency=medium

  [ Backport from 14.10 ]
  * hardened-cc: don't set -Wformat options if they are already set
    (LP: #1347257)

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Oct 2014 17:10:55 +0200
