## hardening-wrapper 2.5+nmu1ubuntu2

=== debian/changelog ===
hardening-wrapper (2.5+nmu1ubuntu2) utopic; urgency=medium

  * Divert ld.gold on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Oct 2014 12:29:01 +0200

hardening-wrapper (2.5+nmu1ubuntu1) utopic; urgency=low

  * Merge with Debian.  Remaining changes:
    - hardened-cc: don't set -Wformat options if they are already set
    - Allow -fstack-protector on arm64
    - Don't install a symlink for gold on architectures not having a gold port.
    - Stop installing links for GCC 4.2, 4.3, 4.5.

 -- Steve Beattie <sbeattie@ubuntu.com>  Wed, 17 Sep 2014 23:09:19 -0700

hardening-wrapper (2.5+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable standard hardening flags for test suite, to avoid conflicting
    with hardening-wrapper's own flags which are being tested. Thanks to
    Romain Francoise for the patch (Closes: 752717).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 21 Aug 2014 13:50:24 +0200

hardening-wrapper (2.5ubuntu3) utopic; urgency=medium

  * hardened-cc: don't set -Wformat options if they are already set
    (LP: #1347257)

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 24 Jul 2014 15:55:40 -0700
